dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE2, 280, 260);
LManager:AddTable(eTYPE_TABLE3, 510, 260);
LManager:AddTable(eTYPE_TABLE5, 230, 375);
LManager:AddTable(eTYPE_TABLE6, 460, 375);
LManager:AddTable(eTYPE_TABLE8, 180, 490);
LManager:AddTable(eTYPE_TABLE9, 410, 490);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 43000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 145000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 163000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 228000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 49000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 68000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 91000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 145000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 171000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 214000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 98000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 137000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 209000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 15000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 62000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 106000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 137000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 209000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 110000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 130000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 187000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 25000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 179000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 203000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 230000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(35000);

LManager:SetLevelNumber(3,2);
LManager:SetLevelScores(8500, 9080);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();